## json-glib 1.1.2

=== debian/changelog ===
json-glib (1.1.2-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * debian/libjson-glib-1.0-0.symbols:
    - Updated
  * debian/patches/0001-tests-builder-Don-t-duplicate-test-names.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 02 Mar 2016 11:33:50 +1300

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: json-glib
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               cdbs (>= 0.4.93~),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               gnome-pkg-tools,
               libglib2.0-dev (>= 2.37.6),
               gtk-doc-tools (>= 1.20),
               gir1.2-glib-2.0 (>= 0.9.12),
               libgirepository1.0-dev (>= 0.9.12),
               gobject-introspection (>= 0.9.12-4~),
               xsltproc,
               libxml2-utils
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Projects/JsonGlib
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/json-glib
Vcs-Browser: http://anonscm.debian.org/viewpkg-gnome/desktop/unstable/json-glib

Package: libjson-glib-1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libjson-glib-1.0-common (>= ${source:Version})
Description: GLib JSON manipulation library
 JSON-GLib is a library for parsing, generating and manipulating JavaScript
 Object Notation (JSON) data streams using the GLib type system. It allows
 manipulating JSON data types with a Document Object Model API. It also
 allows serializing and deserializing simple or complex GObjects to and
 from JSON data types.

Package: libjson-glib-1.0-0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libjson-glib-1.0-0 (= ${binary:Version})
Description: GLib JSON manipulation library (debug symbols)
 JSON-GLib is a library for parsing, generating and manipulating JavaScript
 Object Notation (JSON) data streams using the GLib type system. It allows
 manipulating JSON data types with a Document Object Model API. It also
 allows serializing and deserializing simple or complex GObjects to and
 from JSON data types.
 .
 This package contains the debug files.

Package: libjson-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libjson-glib-1.0-0 (= ${binary:Version}),
         gir1.2-json-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         pkg-config
Suggests: libjson-glib-doc
Description: GLib JSON manipulation library (development files)
 JSON-GLib is a library for parsing, generating and manipulating JavaScript
 Object Notation (JSON) data streams using the GLib type system. It allows
 manipulating JSON data types with a Document Object Model API. It also
 allows serializing and deserializing simple or complex GObjects to and
 from JSON data types.
 .
 This package contains the development files.

Package: libjson-glib-1.0-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GLib JSON manipulation library (common files)
 JSON-GLib is a library for parsing, generating and manipulating JavaScript
 Object Notation (JSON) data streams using the GLib type system. It allows
 manipulating JSON data types with a Document Object Model API. It also
 allows serializing and deserializing simple or complex GObjects to and
 from JSON data types.
 .
 This package contains the translations files.

Package: libjson-glib-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: GLib JSON manipulation library (documentation)
 JSON-GLib is a library for parsing, generating and manipulating JavaScript
 Object Notation (JSON) data streams using the GLib type system. It allows
 manipulating JSON data types with a Document Object Model API. It also
 allows serializing and deserializing simple or complex GObjects to and
 from JSON data types.
 .
 This package contains the documentation.

Package: gir1.2-json-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GLib JSON manipulation library (introspection data)
 JSON-GLib is a library for parsing, generating and manipulating JavaScript
 Object Notation (JSON) data streams using the GLib type system. It allows
 manipulating JSON data types with a Document Object Model API. It also
 allows serializing and deserializing simple or complex GObjects to and
 from JSON data types.
 .
 This package contains introspection data.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: json-glib-tools
Section: devel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Description: GLib JSON manipulation library (tools)
 JSON-GLib is a library for parsing, generating and manipulating JavaScript
 Object Notation (JSON) data streams using the GLib type system. It allows
 manipulating JSON data types with a Document Object Model API. It also
 allows serializing and deserializing simple or complex GObjects to and
 from JSON data types.
 .
 This package contains the json-glib-format and json-glib-validate
 tools.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed 
include /usr/share/dpkg/buildflags.mk

DEB_COMPRESS_EXCLUDE = .c
DEB_CONFIGURE_EXTRA_FLAGS := --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
                             --enable-gtk-doc \
                             --enable-introspection=yes
DEB_DH_MAKESHLIBS_ARGS_libjson-glib-1.0-0 += -V -- -c4

DEB_MAKE_CHECK_TARGET = check VERBOSE=1

common-binary-predeb-arch:: list-missing

## json-glib 1.2.2

=== debian/changelog ===
json-glib (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.
  * Bump Standards-Version to 3.9.8.
  * Drop dbg package now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libjson-glib-1.0-0-dbg to new dbgsym packages
    by using dh_strip --dbgsym-migration. Bump Build-Depends on debhelper
    accordingly.

 -- Michael Biebl <biebl@debian.org>  Sun, 07 Aug 2016 15:25:15 +0200

json-glib (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7
  * Drop debian/patches/0001-tests-builder-Don-t-duplicate-test-names.patch
    - merged upstream.
  * Updated debian/libjson-glib-1.0-0.symbols with many additions.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Mar 2016 16:26:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,8 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               cdbs (>= 0.4.93~),
+Build-Depends: debhelper (>= 9.20160114),
                dh-autoreconf,
-               dpkg-dev (>= 1.16.1~),
                gnome-pkg-tools,
                libglib2.0-dev (>= 2.37.6),
                gtk-doc-tools (>= 1.20),
@@ -19,10 +17,10 @@
                gobject-introspection (>= 0.9.12-4~),
                xsltproc,
                libxml2-utils
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Projects/JsonGlib
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/json-glib
-Vcs-Browser: http://anonscm.debian.org/viewpkg-gnome/desktop/unstable/json-glib
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/json-glib/
 
 Package: libjson-glib-1.0-0
 Architecture: any
@@ -37,22 +35,6 @@
  manipulating JSON data types with a Document Object Model API. It also
  allows serializing and deserializing simple or complex GObjects to and
  from JSON data types.
-
-Package: libjson-glib-1.0-0-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         libjson-glib-1.0-0 (= ${binary:Version})
-Description: GLib JSON manipulation library (debug symbols)
- JSON-GLib is a library for parsing, generating and manipulating JavaScript
- Object Notation (JSON) data streams using the GLib type system. It allows
- manipulating JSON data types with a Document Object Model API. It also
- allows serializing and deserializing simple or complex GObjects to and
- from JSON data types.
- .
- This package contains the debug files.
 
 Package: libjson-glib-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with autoreconf,gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-introspection=yes

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='libjson-glib-1.0-0-dbg (<< 1.2.2-1~)'

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

## json-glib 1.2.6

=== debian/changelog ===
json-glib (1.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Re-add gnome-get-source.mk include.
  * Drop private symbols for the custom marshaller. Upstream now uses the
    generic one provided by GLib.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Mar 2017 20:01:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9.20160114),
                dh-autoreconf,
                gnome-pkg-tools,

## json-glib 1.2.8

=== debian/changelog ===
json-glib (1.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Jul 2017 08:37:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

## json-glib 1.4.2

=== debian/changelog ===
json-glib (1.4.2-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 18:28:10 -0500

json-glib (1.4.2-2) unstable; urgency=medium

  * Use fuzzy comparisons for floating point values. (Closes: #880702)
    Patches cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Sat, 04 Nov 2017 19:19:24 +0100

json-glib (1.4.2-1) unstable; urgency=medium

  * New upstream release
  * Switch to meson build system
  * Update symbols file for libjson-glib-1.0-0.symbols with new additions.
    The json_serialize_pspec and json_deserialize_pspec symbols have been
    dropped, but those were privat.
  * Use dh_missing to list uninstalled files
  * Use Files-Excluded in debian/copyright to exclude non-free RFCs
  * Bump Standards-Version to 4.1.1

 -- Michael Biebl <biebl@debian.org>  Fri, 03 Nov 2017 22:34:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9.20160114),
-               dh-autoreconf,
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10.3),
+               meson (>= 0.40.1),
                gnome-pkg-tools,
                libglib2.0-dev (>= 2.37.6),
                gtk-doc-tools (>= 1.20),
@@ -17,10 +17,10 @@
                gobject-introspection (>= 0.9.12-4~),
                xsltproc,
                libxml2-utils
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: https://wiki.gnome.org/Projects/JsonGlib
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/json-glib
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/json-glib/
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/json-glib.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/json-glib.git
 
 Package: libjson-glib-1.0-0
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gir,gnome --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddocs=true \
		-Dintrospection=true

override_dh_missing:
	dh_missing --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='libjson-glib-1.0-0-dbg (<< 1.2.2-1~)'

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

## json-glib 1.4.4

=== meson_options.txt ===
option('introspection',
       type: 'boolean', value: true,
       description: 'Build the introspection data (requires gobject-introspection)')
option('docs',
       type: 'boolean', value: false,
       description: 'Build the API reference and man pages (requires gtk-doc and xsltproc)')
option('man',
       type: 'boolean', value: false,
       description: 'Build the man pages (requires xsltproc)')

=== debian/changelog ===
json-glib (1.4.4-2ubuntu2) focal; urgency=medium

  * debian/patches/0001-json-gvariant-Stop-string-to-GVariant-conversion-fai.patch:
    - Fix JSON to GVariant conversion failing sometimes (LP: #1871023)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 07 Apr 2020 09:50:05 +1200

json-glib (1.4.4-2ubuntu1) focal; urgency=medium

  * Make autopkgtests cross-test-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 09 Dec 2019 13:24:44 -0800

json-glib (1.4.4-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 10:15:42 -0500

json-glib (1.4.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/gbp.conf
  * Drop patches applied in new release:
    - 0001-Add-float-comparison-utility-macros-for-tests.patch
    - 0002-Use-fuzzy-comparison-for-floating-point-values.patch
    - Make-the-build-reproducible.patch
  * debian/rules:
    - Build with -Dman=true. Starting from 1.4.4 depending on xsltproc is no
      longer enough to build the man pages.
  * debian/control:
    - Bump Standards-Version to 4.2.1
    - Set Rules-Requires-Root to no

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Wed, 10 Oct 2018 03:54:00 +0000

json-glib (1.4.2-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

  [ Simon McVittie ]
  * d/p/Make-the-build-reproducible.patch:
    Apply patch from Chris Lamb to make json-enum-types.h reproducible
    (Closes: #882383) and multi-arch co-installable (Closes: #897341)
  * d/tests: Add a trivial compile/link/run autopkgtest
  * Bump Standards-Version to 4.1.4

 -- Simon McVittie <smcv@debian.org>  Tue, 01 May 2018 16:18:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: json-glib
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10.3),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
                meson (>= 0.40.1),
                gnome-pkg-tools,
                libglib2.0-dev (>= 2.37.6),
@@ -17,10 +18,11 @@
                gobject-introspection (>= 0.9.12-4~),
                xsltproc,
                libxml2-utils
-Standards-Version: 4.1.2
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/json-glib
+Vcs-Git: https://salsa.debian.org/gnome-team/json-glib.git
 Homepage: https://wiki.gnome.org/Projects/JsonGlib
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/json-glib.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/json-glib.git
 
 Package: libjson-glib-1.0-0
 Architecture: any
@@ -117,4 +119,3 @@
  .
  This package contains the json-glib-format and json-glib-validate
  tools.
-

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddocs=true \
		-Dman=true \
		-Dintrospection=true

override_dh_missing:
	dh_missing --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='libjson-glib-1.0-0-dbg (<< 1.2.2-1~)'

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== debian/tests/control ===
Tests: build
Depends:
 build-essential,
 libjson-glib-dev,

## json-glib 1.6.0

=== debian/changelog ===
json-glib (1.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/watch: Only watch for stable versions again
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Sep 2020 09:52:12 +0100

json-glib (1.5.2-1) experimental; urgency=medium

  * Team upload
  * d/watch: Watch for development versions
  * New upstream release
    - The library now has versioned symbols, avoiding collisions with
      other JSON libraries. (Closes: #966399)
    - Fix error detection when converting integers to GVariant
      (LP: #1871023)
  * d/libjson-glib-1.0-0.symbols: Update
  * Update dependencies as per meson.build
  * Update Meson parameter name for gtk-doc documentation
  * Bump dependency for all symbols to 1.5.2 due to introduction of
    versioned symbols
  * d/tests/build: Remove support for ancient autopkgtest versions.
    AUTOPKGTEST_TMP is now required to be set, and we do not fall back
    to the deprecated ADTTMP.
  * d/tests/build: Silence a shellcheck warning
  * d/tests/build: Use correct compiler for proposed autopkgtest
    cross-architecture testing support (Closes: #946490)
  * d/tests/build: Mark as superficial
  * d/libjson-glib-1.0-0.symbols: Add Build-Depends-Package.
    This lets Build-Depends: libjson-glib-dev (>= x.y) translate into a
    runtime dependency on at least libjson-glib-1.0-0 (>= x.y), even if no
    new symbols are used.
  * Standards-Version: 4.5.0 (no changes required)
  * Normalize order of dependency lists (wrap-and-sort -a)
  * Normalize order of installed file lists (wrap-and-sort -a)
  * Remove migration path from legacy -dbg package older than oldstable
  * Add installed-tests to -dev package, and run them from autopkgtest.
    Next time there is an ABI break we could split these into a
    libjson-glib-tests package, but it doesn't seem worth going through
    NEW for that.
    - Install tests and metadata in a multiarch directory. Otherwise we
      won't be multiarch-friendly.
  * Use debhelper compat level 13.
    - Switch from dh_missing --list-missing to the default --fail-missing.
    - Keep the ${libexecdir} set to /usr/lib/MULTIARCH, to avoid the
      installed-tests in the -dev package becoming non-multiarch-friendly.
  * d/shlibs.local: Generate lockstep dependencies between binary packages.
    This avoids various possible situations with broken partial upgrades.

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Sep 2020 12:08:44 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,20 @@
 Source: json-glib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
-               meson (>= 0.40.1),
+Build-Depends: debhelper-compat (= 13),
+               gir1.2-glib-2.0 (>= 0.9.12),
                gnome-pkg-tools,
-               libglib2.0-dev (>= 2.37.6),
+               gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools (>= 1.20),
-               gir1.2-glib-2.0 (>= 0.9.12),
                libgirepository1.0-dev (>= 0.9.12),
-               gobject-introspection (>= 0.9.12-4~),
-               xsltproc,
-               libxml2-utils
+               libglib2.0-dev (>= 2.54.0),
+               libxml2-utils,
+               meson (>= 0.52.0),
+               xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/json-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/json-glib.git
 Homepage: https://wiki.gnome.org/Projects/JsonGlib
@@ -28,9 +27,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends},
+Depends: libjson-glib-1.0-common (>= ${source:Version}),
          ${misc:Depends},
-         libjson-glib-1.0-common (>= ${source:Version})
+         ${shlibs:Depends}
 Description: GLib JSON manipulation library
  JSON-GLib is a library for parsing, generating and manipulating JavaScript
  Object Notation (JSON) data streams using the GLib type system. It allows
@@ -42,11 +41,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: gir1.2-json-1.0 (= ${binary:Version}),
+         libglib2.0-dev,
          libjson-glib-1.0-0 (= ${binary:Version}),
-         gir1.2-json-1.0 (= ${binary:Version}),
-         libglib2.0-dev,
-         pkg-config
+         pkg-config,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: libjson-glib-doc
 Description: GLib JSON manipulation library (development files)
  JSON-GLib is a library for parsing, generating and manipulating JavaScript
@@ -90,8 +90,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: GLib JSON manipulation library (introspection data)
  JSON-GLib is a library for parsing, generating and manipulating JavaScript
  Object Notation (JSON) data streams using the GLib type system. It allows

## json-glib 1.6.2

=== meson_options.txt ===
option('introspection',
       type: 'feature', value: 'auto', yield: true,
       description: 'Build the introspection data (requires gobject-introspection)')
option('gtk_doc',
       type: 'feature', value: 'auto', yield: true,
       description: 'Build the API reference (requires gtk-doc)')
option('man',
       type: 'boolean', value: false,
       description: 'Build the man pages (requires xsltproc)')
option('tests',
       type: 'boolean', value: true,
       description: 'Build the tests')

=== debian/changelog ===
json-glib (1.6.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Make the build more reproducible
    - Fix parsing of UTF-16 surrogate pairs (Closes: #772585)
    - Skip UTF-8 byte order mark if present
    - Translation updates

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Feb 2021 10:04:14 +0000

json-glib (1.6.0-3) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Drop unused libxml2-utils from Build-Depends (Closes: #981255)

  [ Simon McVittie ]
  * Add Lintian override for #970275
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Jan 2021 16:54:36 +0000

json-glib (1.6.0-2) unstable; urgency=medium

  * debian/control.in: Add libglib2.0-doc to the BDI and mark -doc package
    with Build-Profiles: <!nodoc>
  * d/p/fix-ftbfs-non-linux.patch: Pass extra parameters to the linker, that
    should fix the FTBFS on non-linux architectures

 -- Laurent Bigonville <bigon@debian.org>  Fri, 11 Dec 2020 09:40:52 +0100

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
                gtk-doc-tools (>= 1.20),
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.54.0),
-               libxml2-utils,
                meson (>= 0.52.0),
                xsltproc
+Build-Depends-Indep: libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/json-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/json-glib.git
 Homepage: https://wiki.gnome.org/Projects/JsonGlib
@@ -76,6 +76,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: devhelp
+Build-Profiles: <!nodoc>
 Description: GLib JSON manipulation library (documentation)
  JSON-GLib is a library for parsing, generating and manipulating JavaScript
  Object Notation (JSON) data streams using the GLib type system. It allows

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-Dgtk_doc=enabled \
		-Dman=true \
		-Dintrospection=enabled

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## json-glib 1.6.6

=== debian/changelog ===
json-glib (1.6.6-1) unstable; urgency=medium

  * New upstream release (Closes: #992665)
  * Drop patch: applied in new release
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * debian/control.in: Bump minimum meson to 0.55.3
  * debian/rules: Drop unneeded -Wl,--as-needed
  * Build-Depend on python3-jinja2, python3-toml, python3-typogrify
    for gi-docgen vendored copy. See 987000 for vendored copy explanation.
  * Drop debian/libjson-glib-doc.links and use default doc install location
    which is more reasonable than what gtk-doc was doing

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 23 Aug 2021 19:07:52 -0400

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,16 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                gir1.2-glib-2.0 (>= 0.9.12),
-               gnome-pkg-tools,
-               gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools (>= 1.20),
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.54.0),
-               meson (>= 0.52.0),
+               meson (>= 0.55.3),
+               python3-jinja2,
+               python3-toml,
+               python3-typogrify,
                xsltproc
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
-	dh $@ --with gir,gnome --buildsystem=meson
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## json-glib 1.8.0

=== debian/changelog ===
json-glib (1.8.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:27:08 +0000

json-glib (1.8.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:12:55 +0000

json-glib (1.8.0-2) unstable; urgency=medium

  * Team upload
  * d/control: Don't generate from d/control.in
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
    (Helps: #1030223)

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Nov 2023 10:19:21 +0000

json-glib (1.8.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Build-Depend on gi-docgen
  * Set auto_features=enabled
  * debian/copyright: simplify since gi-docgen subproject is no longer bundled
  * debian/libjson-glib-1.0-0.symbols: Add new symbol

  [ Simon McVittie ]
  * d/clean: Ensure __pycache__ directories are cleaned up (Closes: #1047495)

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 09:50:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: json-glib
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
+               gi-docgen,
                gir1.2-glib-2.0 (>= 0.9.12),
                gtk-doc-tools (>= 1.20),
                libgirepository1.0-dev (>= 0.9.12),
@@ -21,7 +19,7 @@
                xsltproc
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/json-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/json-glib.git
 Homepage: https://wiki.gnome.org/Projects/JsonGlib
@@ -48,8 +46,10 @@
          libglib2.0-dev,
          libjson-glib-1.0-0 (= ${binary:Version}),
          pkg-config,
+         ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: ${gir:Provides}
 Suggests: libjson-glib-doc
 Description: GLib JSON manipulation library (development files)
  JSON-GLib is a library for parsing, generating and manipulating JavaScript

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-Dauto_features=enabled \
		-Dman=true

override_dh_gnome_clean:
	dh_gnome_clean --no-control

## json-glib 1.10.0+ds

=== debian/changelog ===
json-glib (1.10.0+ds-2) unstable; urgency=medium

  * Team upload
  * d/p/Restore-single-quote-string-extension.patch,
    d/p/tests-Add-unit-for-JsonParser-extensions.patch:
    Add patches from upstream to restore parsing of single-quoted strings.
    These are a non-standard extension, therefore are only accepted in the
    default non-strict mode, similar to the support for C-style comments.
    (Closes: #1081803)

 -- Simon McVittie <smcv@debian.org>  Wed, 18 Sep 2024 16:54:26 +0100

json-glib (1.10.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - d/watch, d/copyright: Repack without generated documentation
  * d/control: Update dependencies
  * d/copyright: Update
  * d/rules: Update build options
  * Update symbols file
  * Standards-Version: 4.7.0 (no changes required)
  * Set up documentation to appear in devhelp and doc-base
  * d/control, d/tests/build: Use pkgconf in preference to pkg-config

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Sep 2024 15:46:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: json-glib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -11,15 +10,16 @@
                gir1.2-glib-2.0 (>= 0.9.12),
                gtk-doc-tools (>= 1.20),
                libgirepository1.0-dev (>= 0.9.12),
-               libglib2.0-dev (>= 2.54.0),
-               meson (>= 0.55.3),
+               libglib2.0-dev (>= 2.72.0),
+               meson (>= 1.2.0),
+               python3-docutils,
                python3-jinja2,
                python3-toml,
                python3-typogrify,
                xsltproc
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/json-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/json-glib.git
 Homepage: https://wiki.gnome.org/Projects/JsonGlib
@@ -45,7 +45,7 @@
 Depends: gir1.2-json-1.0 (= ${binary:Version}),
          libglib2.0-dev,
          libjson-glib-1.0-0 (= ${binary:Version}),
-         pkg-config,
+         pkgconf,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,10 @@
 	dh_auto_configure -- \
 		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		-Dauto_features=enabled \
-		-Dman=true
+		-Dconformance=true \
+		-Dinstalled_tests=true \
+		-Dman=true \
+		$(NULL)
 
 override_dh_gnome_clean:
 	dh_gnome_clean --no-control

## json-glib 1.10.6+ds

=== debian/changelog ===
json-glib (1.10.6+ds-3) unstable; urgency=medium

  * Team upload
  * d/control: Build-depend on gir1.2-glib-2.0-dev, not just
    gir1.2-glib-2.0.
    In fact this typo was harmless because gir1.2-gobject-2.0-dev is
    provided by the same package.
  * d/control: Reduce build-dependencies:
    - Drop B-D on libgirepository1.0-dev.
      This is unnecessary now that we B-D on dh-sequence-gir and
      gir1.2-*-dev.
    - Drop B-D-I on gtk-doc-tools.
      This package no longer uses gtk-doc for documentation.
    - Drop B-D-I on libglib2.0-doc.
      gtk-doc needed this for documentation cross-references, but gi-docgen
      does not work the same way.
    - Drop B-D-I on modules needed by previously vendored gi-docgen
      (Closes: #1105754). A copy of gi-docgen is no longer vendored.
  * d/control: libjson-glib-dev: Drop explicit Depends on gir1.2-json-1.0.
    dh-sequence-gir generates this in ${gir:Depends} automatically,
    and the explicit dependency would be harmful if we implement the
    nogir build-profile.
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Aug 2025 12:55:02 +0100

json-glib (1.10.6+ds-2) unstable; urgency=medium

  * Cherry-pick patch to fix escape of the US control character
    (Closes: #1100715)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 14:31:22 -0400

json-glib (1.10.6+ds-1) unstable; urgency=medium

  * New upstream release
  * Add debian/salsa-ci.yml
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Dec 2024 09:55:38 -0500

json-glib (1.10.0+ds-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve cross building (Closes: #1087294):
    - Skip documentation in arch-only build
    - Demote documentation dependencies to B-D-I

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Nov 2024 09:20:44 -0500

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gi-docgen,
-               gir1.2-glib-2.0 (>= 0.9.12),
-               gtk-doc-tools (>= 1.20),
-               libgirepository1.0-dev (>= 0.9.12),
+               gir1.2-glib-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gio-2.0-dev,
                libglib2.0-dev (>= 2.72.0),
                meson (>= 1.2.0),
                python3-docutils,
-               python3-jinja2,
-               python3-toml,
-               python3-typogrify,
                xsltproc
-Build-Depends-Indep: libglib2.0-doc <!nodoc>
+Build-Depends-Indep: gi-docgen,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/json-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/json-glib.git
 Homepage: https://wiki.gnome.org/Projects/JsonGlib
@@ -42,8 +38,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-json-1.0 (= ${binary:Version}),
-         libglib2.0-dev,
+Depends: libglib2.0-dev,
          libjson-glib-1.0-0 (= ${binary:Version}),
          pkgconf,
          ${gir:Depends},

## json-glib 1.10.8%2Bds

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential,
         libjson-glib-dev

Tests: installed-tests
Depends: gnome-desktop-testing,
         libjson-glib-dev

## json-glib 1.10.8+ds

=== debian/changelog ===
json-glib (1.10.8+ds-2) unstable; urgency=medium

  * Remove Suggests: devhelp

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Nov 2025 13:05:17 -0500

json-glib (1.10.8+ds-1) unstable; urgency=medium

  * New upstream release
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Sep 2025 14:30:46 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -13,8 +13,7 @@
                meson (>= 1.2.0),
                python3-docutils,
                xsltproc
-Build-Depends-Indep: gi-docgen,
-Rules-Requires-Root: no
+Build-Depends-Indep: gi-docgen <!nodoc>
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/json-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/json-glib.git
@@ -73,7 +72,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Suggests: devhelp
 Build-Profiles: <!nodoc>
 Description: GLib JSON manipulation library (documentation)
  JSON-GLib is a library for parsing, generating and manipulating JavaScript
@@ -89,8 +87,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Description: GLib JSON manipulation library (introspection data)
  JSON-GLib is a library for parsing, generating and manipulating JavaScript
  Object Notation (JSON) data streams using the GLib type system. It allows

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 		-Dconformance=true \
 		-Dinstalled_tests=true \
 		-Dman=true \
+		-Ddocumentation=$(if $(filter libjson-glib-doc,$(shell dh_listpackages)),enabled,disabled) \
 		$(NULL)
 
 override_dh_gnome_clean:

=== debian/watch ===
version=4
opts="dversionmangle=s/[~+](?:dfsg|ds)[0-9]*//g, repack, repacksuffix=+ds, searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+[02468]/@PACKAGE@-([\d.]+)@ARCHIVE_EXT@
